using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using QuintoCaminoV2.Data_objects;

namespace QuintoCaminoV2.Admin
{
    public partial class Clases : System.Web.UI.Page
    {

        public int idCurso;
        protected void Page_Load(object sender, EventArgs e)
        {
            idCurso = Convert.ToInt32(Request.QueryString["idCurso"]);
            getCursosById();
            getClases();
        }
        public void getClases()
        {
            grdClases.DataSource = null;
            grdClases.DataBind();
            DataLayer oDataLayer = new DataLayer();
            Data_objects.Clases oClases = new Data_objects.Clases();
            oClases.intCursoId = idCurso;

            grdClases.DataSource = oDataLayer.get_Clases(oClases);
            grdClases.DataBind();
        }

        public void getCursosById()
        {
            DataLayer oDataLayer = new DataLayer();
            Data_objects.Cursos oCharlas = new Data_objects.Cursos();
            oCharlas.intCursoId = idCurso;

            foreach (Data_objects.Cursos objCha in oDataLayer.get_Cursos_by_Id(oCharlas))
            {
                //txtModTitulo.Value = objCha.intCursoId.ToString();
                HideidCurso.Value = idCurso.ToString();
                txtModTitulo.Value = objCha.vchTitulo;
                //txtDesCurCorta.Text = objCha.vchDescripcionCorta;
                txtModDesc.Value = objCha.vchDescripcion;
                txtModCosto.Value = objCha.decCosto.ToString();
                chkCursoActivo.Checked = objCha.bitActivo == true ? true : false;
            }
        }


        [System.Web.Services.WebMethod]
        public static void AgregarClase(string intCursoId, string vchTituloClase, string vchDescClase, string vchURLClase)
        {

           
                List<Data_objects.Clases> lstClase = new List<Data_objects.Clases>();
                Data_objects.Clases oClases = new Data_objects.Clases();
                DataLayer oDataLayer = new DataLayer();
                Errores oError = new Errores();

                oClases.intCursoId = Convert.ToInt32(intCursoId);
                oClases.vchTituloClase = vchTituloClase;
                oClases.vchDescClase = vchDescClase;
                oClases.vchURLClase = vchURLClase;
                oClases.bitActivo = true;
                lstClase.Add(oClases);

                oError = oDataLayer.insertClase(lstClase);

         
                
             }

        protected void grdClases_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            if (e.Row.RowType == DataControlRowType.DataRow)
            {
                string item = e.Row.Cells[1].Text;
                foreach (Button button in e.Row.Cells[4].Controls.OfType<Button>())
                {
                    if (button.CommandName == "delete")
                    {
                        button.Attributes["onclick"] = "if(!confirm('Desear eliminar la clase: " + item + "?')){ return false; };";
                    }
                }
            }
        }

        protected void grdClases_RowDeleting(object sender, GridViewDeleteEventArgs e)
        {
            List<Data_objects.Clases> lstClases = new List<Data_objects.Clases>();
            Data_objects.Clases oClases = new Data_objects.Clases();
            DataLayer oDataLayer = new DataLayer();
            Errores oError = new Errores();

            oClases.intClaseID = Convert.ToInt32(e.Values[0]);
            lstClases.Add(oClases);

            oError = oDataLayer.DeleteClase(lstClases);

            if (!(oError.bitError))
            {
                getClases();
            }
        }

        
    }
}